Bug 1126125 - [RFE][horizon]: Heat topology display improvement
Summary: [RFE][horizon]: Heat topology display improvement
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Upstream M1
: 8.0 (Liberty)
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_liberty-1 upstream...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-02 04:04 UTC by RHOS Integration
Modified: 2015-07-22 18:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:45:00 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-08-02 04:04:55 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/heat-topology-display-improvement.

Description:

The current heat topology display is poor because a lot of resources don't have any icons and are displayed as unknown resources.
Tasks to be performed are :
* Modify the openstack_dashboard/dashboards/project/stacks/mappings.py file to add the identification of the other resource types.
* Create icons for the others resources types, keeping the actual style and put them in the openstack_dashboard/static/dashboard/img/ folder.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.